summaryrefslogtreecommitdiff
path: root/tests/touch/fifo
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-12 14:52:26 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:39 +0200
commita669dfdabb3fa1be2e1367d53a797d495e7bd5c9 (patch)
treec88d6414649f7f4f5571138e193c72da44a03876 /tests/touch/fifo
parent0539705768992ebcc290bc859f64e27898c7f958 (diff)
downloadcoreutils-a669dfdabb3fa1be2e1367d53a797d495e7bd5c9.tar.xz
More misc, test-related changes. (some to allow running tests as root)
Diffstat (limited to 'tests/touch/fifo')
-rwxr-xr-xtests/touch/fifo10
1 files changed, 2 insertions, 8 deletions
diff --git a/tests/touch/fifo b/tests/touch/fifo
index 0e841a06c..796d330d9 100755
--- a/tests/touch/fifo
+++ b/tests/touch/fifo
@@ -23,13 +23,7 @@ fi
. $srcdir/../test-lib.sh
-framework_failure=0
-
-tmp=fifo-$$
-rm -rf $tmp
-mkfifo $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
+if ! mkfifo fifo; then
# Make an exception of this case -- usually we interpret framework-creation
# failure as a test failure. However, in this case, when running on a SunOS
# system using a disk NFS mounted from OpenBSD, the above fails like this:
@@ -42,6 +36,6 @@ fi
fail=0
-touch $tmp || fail=1
+touch fifo || fail=1
exit $fail